Bug 1477730 - split-stack minor update does not prompt to clear breakpoints
split-stack minor update does not prompt to clear breakpoints
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
high Severity high
: z4
: 11.0 (Ocata)
Assigned To: Toure Dunnon
Gurenko Alex
: Triaged, ZStream
Depends On: 1477729
  Show dependency treegraph
Reported: 2017-08-02 14:18 EDT by James Slagle
Modified: 2018-02-13 11:31 EST (History)
11 users (show)

See Also:
Fixed In Version: openstack-tripleo-common-6.1.2-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1477729
Last Closed: 2018-02-13 11:31:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1708236 None None None 2017-08-02 14:18 EDT
OpenStack gerrit 491115 None None None 2017-08-14 09:57 EDT

  None (edit)
Description James Slagle 2017-08-02 14:18:11 EDT
+++ This bug was initially created as a clone of Bug #1477729 +++

When doing a minor update:

openstack overcloud update stack -i overcloud

with split-stack using pre-provisioned nodes, you are never prompted to clear any breakpoints. The client finishes running but the Heat stack is still stuck in progress until breakpoints are cleared.

This is due to the code in tripleo-common querying nova for server names and id's, but there are no nova servers when using pre-provisioned nodes. In that case, we will have to query Heat directly for the names and id's.
Comment 4 Gurenko Alex 2017-12-07 04:39:25 EST
Verified with minor update from 2017-12-04.1 to 2017-12-05.1
Comment 7 errata-xmlrpc 2018-02-13 11:31:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.